## net.dontdrinkandroot.wicket.model
Class IntegerRangeListModel

    java.lang.Object
      org.apache.wicket.model.AbstractReadOnlyModel<java.util.List<java.lang.Integer>>
          net.dontdrinkandroot.wicket.model.IntegerRangeListModel

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<java.util.List<java.lang.Integer>>, org.apache.wicket.util.io.IClusterable

    public class IntegerRangeListModel

extends org.apache.wicket.model.AbstractReadOnlyModel<java.util.List<java.lang.Integer>>

A readonly List Model that contains all Integers between the given min and max value, min and max included.

Author:
  Philip W. Sorst <philip@sorst.net>
See Also:
  Serialized Form

Constructor Summary
`IntegerRangeListModel(int min, int max)`

Method Summary
`int` `getMax()`
`int` `getMin()`
`java.util.List<java.lang.Integer>` `getObject()`
`void` `setMax(int max)`
`void` `setMin(int min)`

Methods inherited from class org.apache.wicket.model.AbstractReadOnlyModel
`detach, setObject, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntegerRangeListModel

    public IntegerRangeListModel(int min,
                                 int max)

Method Detail

### setMin

    public void setMin(int min)

### setMax

    public void setMax(int max)

### getMin

    public int getMin()

### getMax

    public int getMax()

### getObject

    public java.util.List<java.lang.Integer> getObject()

  Specified by:
    `getObject` in interface `org.apache.wicket.model.IModel<java.util.List<java.lang.Integer>>`
  Specified by:
    `getObject` in class `org.apache.wicket.model.AbstractReadOnlyModel<java.util.List<java.lang.Integer>>`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.